Beneficiaries
A beneficiary resource needs to be created before a payment can be made, the beneficiary notes the individual or organisation being paid along with the bank details and payment method. A beneficiary unique identifier is generated upon the creation can be used for creating payment using a payment resource.
GET /api/v1/beneficiariesGET /api/v1/beneficiaries/{beneficiary_id}POST /api/v1/beneficiaries/createPOST /api/v1/beneficiaries/delete/{beneficiary_id}POST /api/v1/beneficiaries/update/{beneficiary_id}POST /api/v1/beneficiaries/validatePOST /api/v1/beneficiaries/verify_accountPOST /api/v1/beneficiary_api_schemas/generatePOST /api/v1/beneficiary_form_schemas/generate
Get list of beneficiaries
GET /api/v1/beneficiaries
Get list of beneficiaries with optional filters on from date/time, to date/time, names and entity type. Results are paginated, with default list limit of 50 results.
Filter on bank account number of beneficiary
Filter on company name of beneficiary
Filter on entity type of COMPANY or PERSONAL
The start date of created_at in ISO8601 format (inclusive)
Filter on name of beneficiary
Filter on nickname of beneficiary
Page number, starts from 0
Number of results per page. Default value is 100.
The end date of created_at in ISO8601 format (inclusive)
A flag which identifies whether there are more results.
Paged results.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
beneficiary_id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "has_more": false,3 "items": [4 {5 "beneficiary": {6 "additional_info": {7 "business_area": "Travel",8 "business_phone_number": "689342234",9 "business_registration_number": "IT593003",10 "legal_rep_bank_account_number": "44250100003700000000",11 "legal_rep_first_name_in_chinese": "小芳",12 "legal_rep_id_number": "110108199304203520",13 "legal_rep_last_name_in_chinese": "刘",14 "legal_rep_mobile_number": "13651362890",15 "personal_email": "[email protected]",16 "personal_first_name_in_chinese": "大明",17 "personal_id_number": "1234567890",18 "personal_id_type": "NATIONAL_ID",19 "personal_last_name_in_chinese": "李",20 "personal_mobile_number": "13651362890",21 "security_question": "What is the name of my second puppy?",22 "security_question_answer": "Scooby Doo"23 },24 "address": {25 "city": "Melbourne",26 "country_code": "AU",27 "postcode": "3000",28 "state": "VIC",29 "street_address": "15 William Street"30 },31 "bank_details": {32 "account_currency": "AUD",33 "account_name": "Lee Da Ming",34 "account_name_alias": "Lee D M",35 "account_number": "12750852",36 "account_routing_type1": "bsb",37 "account_routing_type2": "sort_code",38 "account_routing_value1": "083064",39 "account_routing_value2": "123456",40 "bank_account_category": "Checking,Savings,Vista,Maestra",41 "bank_branch": "Melbourne",42 "bank_country_code": "AU",43 "bank_name": "National Australia Bank",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "local_clearing_system": "ACH",49 "swift_code": "CTBAAU2S",50 "transaction_reference": "4140110135",51 "intermediary_bank_swift_code": "CTBAAU2S",52 "intermediary_bank_name": "National Australia Bank"53 },54 "company_name": "Complete Concrete Pty Ltd",55 "date_of_birth": "1976-08-26",56 "entity_type": "COMPANY",57 "first_name": "John",58 "last_name": "Walker"59 },60 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",61 "nickname": "Complete Concrete Pty Ltd",62 "payer_entity_type": "COMPANY",63 "payment_methods": [64 "SWIFT"65 ]66 }67 ]68}
Get a beneficiary by ID
GET /api/v1/beneficiaries/{beneficiary_id}
Get a specific beneficiary by specifying the Airwallex beneficiary_id.
beneficiary_id of the beneficiary contact to retrieve
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
beneficiary_id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/beneficiary_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "local_clearing_system": "ACH",49 "swift_code": "CTBAAU2S",50 "transaction_reference": "4140110135",51 "intermediary_bank_swift_code": "CTBAAU2S",52 "intermediary_bank_name": "National Australia Bank"53 },54 "company_name": "Complete Concrete Pty Ltd",55 "date_of_birth": "1976-08-26",56 "entity_type": "COMPANY",57 "first_name": "John",58 "last_name": "Walker"59 },60 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",61 "nickname": "Complete Concrete Pty Ltd",62 "payer_entity_type": "COMPANY",63 "payment_methods": [64 "SWIFT"65 ]66}
Create a new beneficiary
POST /api/v1/beneficiaries/create
Create a new beneficiary to be stored on the Airwallex platform.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Reason for the payment instruction being made to this beneficiary
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
beneficiary_id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/create' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S",> "transaction_reference": "4140110135",> "intermediary_bank_swift_code": "CTBAAU2S",> "intermediary_bank_name": "National Australia Bank"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "payment_methods": [> "SWIFT"> ],> "payment_reason": "travel">}'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "local_clearing_system": "ACH",49 "swift_code": "CTBAAU2S",50 "transaction_reference": "4140110135",51 "intermediary_bank_swift_code": "CTBAAU2S",52 "intermediary_bank_name": "National Australia Bank"53 },54 "company_name": "Complete Concrete Pty Ltd",55 "date_of_birth": "1976-08-26",56 "entity_type": "COMPANY",57 "first_name": "John",58 "last_name": "Walker"59 },60 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",61 "nickname": "Complete Concrete Pty Ltd",62 "payer_entity_type": "COMPANY",63 "payment_methods": [64 "SWIFT"65 ]66}
Delete existing beneficiary
POST /api/v1/beneficiaries/delete/{beneficiary_id}
Delete an existing beneficiary stored on the Airwallex platform.
beneficiary_id of the beneficiary contact to delete
Returns true if the beneficiary was successfully deleted, or false if the deletion did not take place.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/delete/beneficiary_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'
Update existing beneficiary
POST /api/v1/beneficiaries/update/{beneficiary_id}
Edit an existing beneficiary stored on the Airwallex platform.
beneficiary_id of the beneficiary contact to update
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Reason for the payment instruction being made to this beneficiary
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
beneficiary_id used to uniquely identify this beneficiary contact on the Airwallex platform
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/update/beneficiary_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S",> "transaction_reference": "4140110135",> "intermediary_bank_swift_code": "CTBAAU2S",> "intermediary_bank_name": "National Australia Bank"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "payment_methods": [> "SWIFT"> ],> "payment_reason": "travel">}'
1{2 "beneficiary": {3 "additional_info": {4 "business_area": "Travel",5 "business_phone_number": "689342234",6 "business_registration_number": "IT593003",7 "external_identifier": "<string>",8 "legal_rep_bank_account_number": "44250100003700000000",9 "legal_rep_first_name_in_chinese": "小芳",10 "legal_rep_id_number": "110108199304203520",11 "legal_rep_last_name_in_chinese": "刘",12 "legal_rep_mobile_number": "13651362890",13 "personal_email": "[email protected]",14 "personal_first_name_in_chinese": "大明",15 "personal_id_number": "1234567890",16 "personal_id_type": "NATIONAL_ID",17 "personal_last_name_in_chinese": "李",18 "personal_mobile_number": "13651362890",19 "recipient_account_id": "<string>",20 "security_question": "What is the name of my second puppy?",21 "security_question_answer": "Scooby Doo"22 },23 "address": {24 "city": "Melbourne",25 "country_code": "AU",26 "postcode": "3000",27 "state": "VIC",28 "street_address": "15 William Street"29 },30 "bank_details": {31 "account_currency": "AUD",32 "account_name": "Lee Da Ming",33 "account_name_alias": "Lee D M",34 "account_number": "12750852",35 "account_routing_type1": "bsb",36 "account_routing_type2": "sort_code",37 "account_routing_value1": "083064",38 "account_routing_value2": "123456",39 "bank_account_category": "Checking,Savings,Vista,Maestra",40 "bank_branch": "Melbourne",41 "bank_country_code": "AU",42 "bank_name": "National Australia Bank",43 "bank_state": "<string>",44 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",45 "binding_mobile_number": "654897612345",46 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",47 "iban": "ES8023100001180000012345",48 "local_clearing_system": "ACH",49 "swift_code": "CTBAAU2S",50 "transaction_reference": "4140110135",51 "intermediary_bank_swift_code": "CTBAAU2S",52 "intermediary_bank_name": "National Australia Bank"53 },54 "company_name": "Complete Concrete Pty Ltd",55 "date_of_birth": "1976-08-26",56 "entity_type": "COMPANY",57 "first_name": "John",58 "last_name": "Walker"59 },60 "beneficiary_id": "8365ea88-2946-4877-abe1-e02a1015288d",61 "nickname": "Complete Concrete Pty Ltd",62 "payer_entity_type": "COMPANY",63 "payment_methods": [64 "SWIFT"65 ]66}
Validate beneficiary
POST /api/v1/beneficiaries/validate
Given a beneficiary request, validate it and return all failed fields as a 400 response. No errors will be "OK" as a 200 response.
Details of the beneficiary
Beneficiary's bank account details where the payment will be credited
Account Currency
Account holder name of the beneficiary’s bank account
Bank country code (2-letter ISO 3166-2 country code)
Fingerprint of current beneficiary's bank account
The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product Docs .
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code sub type
Routing code value
Routing code sub type value
bank account type
Specific branch of bank account
Bank name of the beneficiary's bank account
Bank State
Bank street address
The mobile number tied to the Beneficiary's bank account
International bank account number, mostly for european countries
Bank name of the beneficiary's intermediary bank
Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The unique reference number that clients need to add when they doing the deposit so that we can top up the fund to correct account
Entity type of the beneficiary
Additional information about the beneficiary
Category of business activity
Business phone number
Business registration number
The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes
Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.
Legal representative first name in chinese
Legal representative id number
Legal representative last name in chinese
Legal representative’s mobile number associated with their bank account.
Personal email
Beneficiary's first name in Chinese
Personal unique identifier number
Personal unique identifier type
Beneficiary's last name in Chinese
Personal mobile number
Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).
Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.
Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.
Beneficiary's address details
Beneficiary's city
Beneficiary's country code (2-letter ISO 3166-2 country code)
Beneficiary's post code
Beneficiary's state
Beneficiary's street address
Company name of the beneficiary
beneficiary date of birth
First name of the beneficiary
Last name of the beneficiary
Nickname of the beneficiary
The payer entity type that will be used for payments being made to this beneficiary. This is required to accurately capture and validate appropriate data for compliance reasons. Defaults to COMPANY
Payment method needs to be specified to ensure that accurate banking details are captured and validated for the specified payment method. This is required for timely and accurate delivery of funds to the beneficiary account. Should be one of the following: SWIFT, LOCAL
Reason for the payment instruction being made to this beneficiary
OK
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/validate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "beneficiary": {> "additional_info": {> "business_area": "Travel",> "business_phone_number": "689342234",> "business_registration_number": "IT593003",> "external_identifier": "<string>",> "legal_rep_bank_account_number": "44250100003700000000",> "legal_rep_first_name_in_chinese": "小芳",> "legal_rep_id_number": "110108199304203520",> "legal_rep_last_name_in_chinese": "刘",> "legal_rep_mobile_number": "13651362890",> "personal_email": "[email protected]",> "personal_first_name_in_chinese": "大明",> "personal_id_number": "1234567890",> "personal_id_type": "NATIONAL_ID",> "personal_last_name_in_chinese": "李",> "personal_mobile_number": "13651362890",> "recipient_account_id": "<string>",> "security_question": "What is the name of my second puppy?",> "security_question_answer": "Scooby Doo"> },> "address": {> "city": "Melbourne",> "country_code": "AU",> "postcode": "3000",> "state": "VIC",> "street_address": "15 William Street"> },> "bank_details": {> "account_currency": "AUD",> "account_name": "Lee Da Ming",> "account_name_alias": "Lee D M",> "account_number": "12750852",> "account_routing_type1": "bsb",> "account_routing_type2": "sort_code",> "account_routing_value1": "083064",> "account_routing_value2": "123456",> "bank_account_category": "Checking,Savings,Vista,Maestra",> "bank_branch": "Melbourne",> "bank_country_code": "AU",> "bank_name": "National Australia Bank",> "bank_state": "<string>",> "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",> "binding_mobile_number": "654897612345",> "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",> "iban": "ES8023100001180000012345",> "local_clearing_system": "ACH",> "swift_code": "CTBAAU2S",> "transaction_reference": "4140110135",> "intermediary_bank_swift_code": "CTBAAU2S",> "intermediary_bank_name": "National Australia Bank"> },> "company_name": "Complete Concrete Pty Ltd",> "date_of_birth": "1976-08-26",> "entity_type": "COMPANY",> "first_name": "John",> "last_name": "Walker"> },> "nickname": "Complete Concrete Pty Ltd",> "payer_entity_type": "COMPANY",> "payment_methods": [> "SWIFT"> ],> "payment_reason": "travel">}'
Verify a beneficiary account
POST /api/v1/beneficiaries/verify_account
Submit beneficiary account details to verify its existance and retreive name-matching result (where supported) across supported regions and transfer methods (see Product Docs ). The results can be used to mitigate fraud and prevent failures before creating a transfer.
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Payment method, i.e., SWIFT, LOCAL
Beneficiary's bank account details where the payment will be credited
Account holder name of the beneficiary’s bank account
Account number, mostly for non-european countries, either account_number or iban should be filled
Routing code type
Routing code value
Bank country code (2-letter ISO 3166-2 country code)
International bank account number, mostly for european countries
Which clearing system should be used for this local bank transfer.
Please refer to our payout guide for details about each option.
We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).
Bank swift code
The high-level outcome of account verification. Could be one of the following:
VERIFIED: This is a valid account (name match is not guaranteed).INVALID: This account does not exist.CANNOT_VERIFY: We cannot verify this account due to external restrictions.EXTERNAL_SERVICE_UNAVAILABLE: The request failed due to unavailability of external services. Trying again later.
Detailed verification results including name match results if available
The result of account name check based on the account_name provided. See details in Product Docs
The account holder's name of the account specified if available
Name of the account-holding bank if available
A descriptional message of the verification result
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiaries/verify_account' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_details": {> "account_name": "Betty Morris",> "account_number": "10006132",> "account_routing_type1": "sort_code",> "account_routing_value1": "040568",> "bank_country_code": "GB",> "iban": "<string>",> "local_clearing_system": "<string>",> "swift_code": "<string>"> },> "entity_type": "PERSONAL",> "payment_method": "LOCAL">}'
1{2 "code": "VERIFIED",3 "details": {4 "account_name_match_result": "FULL_MATCH",5 "resolved_account_name": "Betty Morris",6 "resolved_bank_name": "ClearBank Limited"7 },8 "message": "This is a valid account. Refer to the details object for verification details."9}
Get the API schema
POST /api/v1/beneficiary_api_schemas/generate
API schema specifies the required fields and the corresponding field validation rules for each payment scenario. A payment scenario is defined as a combination of the following parameters: beneficiary entity_type, bank_country_code. account_currency, and your preferred payment_method, local_clearing_system (if applicable).
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local payments to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Payment method, i.e., SWIFT, LOCAL
Condition map specified in the request defines the API schema
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local payments to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Payment method, i.e., SWIFT, LOCAL
List of fields in the API schema defined by the condition map
Identifier of the field
Parameter path of this field when creating a beneficiary or a payment, e.g., for the field "first_name", its parameter path would be "beneficiary.first_name"
Whether this field is required when creating a beneficiary or a payment
Specifies the field type and the field requirement in regular expression using JSON
Identifier of the API schema
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiary_api_schemas/generate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_country_code": "US",> "account_currency": "USD",> "payment_method": "LOCAL",> "local_clearing_system": "ACH",> "entity_type": "PERSONAL">}'
1{2 "condition": {3 "bank_country_code": "US",4 "account_currency": "USD",5 "payment_method": "LOCAL",6 "local_clearing_system": "ACH",7 "entity_type": "PERSONAL"8 },9 "fields": [10 {11 "key": "entity_type",12 "path": "beneficiary.entity_type",13 "required": true,14 "rule": {15 "type": "string",16 "pattern": "COMPANY|PERSONAL"17 }18 },19 {20 "key": "bank_country_code",21 "path": "beneficiary.bank_details.bank_country_code",22 "required": true,23 "rule": {24 "type": "string",25 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AR|AT|AU|AW|AZ|BA|BD|BE|BG|BH|BO|BR|BZ|CA|CH|CL|CN|CO|CR|CW|CY|CZ|DE|DK|DM|DO|DZ|EC|EE|EG|ES|FI|FJ|FR|GB|GD|GE|GG|GI|GQ|GR|GT|GY|HK|HN|HR|HU|ID|IE|IL|IM|IN|IS|IT|JE|JM|JO|JP|KE|KG|KH|KR|KW|KZ|LI|LK|LT|LU|LV|MA|MC|MD|ME|MK|MO|MQ|MT|MU|MV|MX|MY|NA|NG|NL|NO|NP|NZ|OM|PA|PE|PF|PH|PK|PL|PM|PR|PT|PY|QA|RO|RS|RU|SA|SC|SE|SG|SI|SK|SM|SV|TH|TJ|TN|TR|TW|TZ|UA|UG|US|UY|UZ|VN|VU|YT|ZA|ZM"26 }27 },28 {29 "key": "account_currency",30 "path": "beneficiary.bank_details.account_currency",31 "required": true,32 "rule": {33 "type": "string",34 "pattern": "AUD|BDT|CAD|CHF|CNY|EUR|GBP|HKD|IDR|INR|JPY|KRW|LKR|MYR|NPR|NZD|PHP|PKR|SGD|THB|TRY|USD|VND"35 }36 },37 {38 "key": "payment_method",39 "path": "payment_method",40 "required": true,41 "rule": {42 "type": "string",43 "pattern": "LOCAL|SWIFT"44 }45 },46 {47 "key": "local_clearing_system",48 "path": "beneficiary.bank_details.local_clearing_system",49 "required": false,50 "rule": {51 "type": "string",52 "pattern": "ACH|FEDWIRE"53 }54 },55 {56 "key": "first_name",57 "path": "beneficiary.first_name",58 "required": true,59 "rule": {60 "type": "string",61 "pattern": "^.{1,50}$"62 }63 },64 {65 "key": "last_name",66 "path": "beneficiary.last_name",67 "required": true,68 "rule": {69 "type": "string",70 "pattern": "^.{1,50}$"71 }72 },73 {74 "key": "date_of_birth",75 "path": "beneficiary.date_of_birth",76 "required": false,77 "rule": {78 "type": "string",79 "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"80 }81 },82 {83 "key": "account_routing_type1",84 "path": "beneficiary.bank_details.account_routing_type1",85 "required": true,86 "rule": {87 "pattern": "^aba$",88 "type": "string"89 }90 },91 {92 "key": "account_routing_value1",93 "path": "beneficiary.bank_details.account_routing_value1",94 "required": true,95 "rule": {96 "pattern": "^[0-9]{9}$",97 "type": "string"98 }99 },100 {101 "key": "bank_name",102 "path": "beneficiary.bank_details.bank_name",103 "required": true,104 "rule": {105 "type": "string",106 "pattern": "^.{1,200}$"107 }108 },109 {110 "key": "account_number",111 "path": "beneficiary.bank_details.account_number",112 "required": true,113 "rule": {114 "pattern": "^[0-9]{1,17}$",115 "type": "string"116 }117 },118 {119 "key": "account_name",120 "path": "beneficiary.bank_details.account_name",121 "required": true,122 "rule": {123 "type": "string",124 "pattern": "^.{2,100}$"125 }126 },127 {128 "key": "country_code",129 "path": "beneficiary.address.country_code",130 "required": true,131 "rule": {132 "type": "string",133 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AQ|AR|AS|AT|AU|AW|AX|AZ|BA|BB|BD|BE|BF|BG|BH|BJ|BL|BM|BN|BO|BQ|BR|BS|BT|BV|BW|BZ|CA|CC|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CX|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|EH|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GP|GQ|GR|GS|GT|GU|GY|HK|HM|HN|HR|HT|HU|ID|IE|IL|IM|IN|IO|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KM|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MH|MK|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|MZ|NA|NC|NE|NF|NG|NI|NL|NO|NP|NR|NU|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PN|PR|PS|PT|PW|PY|QA|RE|RO|RS|RU|SA|SB|SC|SE|SG|SH|SI|SJ|SK|SM|SN|SR|ST|SV|SX|SZ|TC|TD|TF|TG|TH|TJ|TK|TL|TM|TN|TO|TR|TT|TV|TW|TZ|UA|UG|UM|US|UY|UZ|VA|VC|VG|VI|VN|VU|WF|WS|YT|ZA|ZM"134 }135 },136 {137 "key": "postcode",138 "path": "beneficiary.address.postcode",139 "required": true,140 "rule": {141 "type": "string",142 "pattern": "^.{1,50}$"143 }144 },145 {146 "key": "street_address",147 "path": "beneficiary.address.street_address",148 "required": true,149 "rule": {150 "type": "string",151 "pattern": "^.{1,200}$"152 }153 },154 {155 "key": "city",156 "path": "beneficiary.address.city",157 "required": true,158 "rule": {159 "type": "string",160 "pattern": "^.{1,50}$"161 }162 },163 {164 "key": "state",165 "path": "beneficiary.address.state",166 "required": true,167 "rule": {168 "type": "string",169 "pattern": "^.{1,50}$"170 }171 },172 {173 "key": "nickname",174 "path": "nickname",175 "required": false176 },177 {178 "key": "personal_email",179 "path": "beneficiary.additional_info.personal_email",180 "required": false,181 "rule": {182 "type": "string",183 "pattern": "^(\\S+@\\S+)$"184 }185 }186 ],187 "key": "newRecipient"188}
Get the form schema
POST /api/v1/beneficiary_form_schemas/generate
Form Schema can be used to build your own user interface to collect beneficiaries’ bank account and contact information. It specifies what UI component should be used to render a field along with the corresponding field validation rules. As all schema and field validation rules are maintained by Airwallex, no code changes will be needed on your end when there are updates.
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local payments to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Payment method, i.e., SWIFT, LOCAL
Condition map specified in the request defines the form schema
Account currency (3-letter ISO 4217 currency code)
Bank country code (2-letter ISO 3166-2 country code)
Entity type of the beneficiary, i.e., COMPANY, PERSONAL
Local clearing systems are available for selection when making local payments to the following countries and currencies: US USD, AU AUD, HK HKD, HK USD, HK CNY, SG SGD. Without specification, it will be set to the default value. To learn more, please visit: https://www.airwallex.com/guides/payout
Payment method, i.e., SWIFT, LOCAL
List of fields in the form schema defined by the condition map
This flag specifies whether a field should be enabled for end users on the user interface
Field attributes define how each field in the form schema can be implemented in a user interface
Default value of the field
Description of the field
Key of the field
Label of the field
Placeholder of the filed
Whether updating this field triggers UI reload event
Tip is the information prompted for mouse hover
UI type of the field
INPUT, SELECT, RADIO, PAYMENT_METHOD, LOOKUP_INPUT
Parameter path of this field when creating a beneficiary or a payment, e.g., for the field "first_name", its parameter path would be "beneficiary.first_name"
Whether this field is required when creating a beneficiary or a payment
Specifies the field type and the field requirement in regular expression using JSON
Identifier of the form schema
| Error status | Description |
|---|---|
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api-demo.airwallex.com/api/v1/beneficiary_form_schemas/generate' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "bank_country_code": "US",> "account_currency": "USD",> "payment_method": "LOCAL",> "local_clearing_system": "ACH",> "entity_type": "PERSONAL">}'
1{2 "condition": {3 "bank_country_code": "US",4 "account_currency": "USD",5 "payment_method": "LOCAL",6 "local_clearing_system": "ACH",7 "entity_type": "PERSONAL"8 },9 "fields": [10 {11 "enabled": true,12 "field": {13 "key": "entity_type",14 "options": [15 {16 "label": "Business",17 "value": "COMPANY"18 },19 {20 "label": "Personal",21 "value": "PERSONAL"22 }23 ],24 "default": "PERSONAL",25 "description": "",26 "label": "Recipient account type",27 "placeholder": "",28 "refresh": true,29 "tip": "",30 "type": "RADIO"31 },32 "path": "beneficiary.entity_type",33 "required": true,34 "rule": {35 "type": "string",36 "pattern": "COMPANY|PERSONAL"37 }38 },39 {40 "enabled": true,41 "field": {42 "key": "bank_country_code",43 "options": [44 {45 "label": "Andorra",46 "value": "AD"47 },48 {49 "label": "United Arab Emirates",50 "value": "AE"51 },52 {53 "label": "Antigua and Barbuda",54 "value": "AG"55 },56 {57 "label": "Anguilla",58 "value": "AI"59 },60 {61 "label": "Albania",62 "value": "AL"63 },64 {65 "label": "Armenia",66 "value": "AM"67 },68 {69 "label": "Netherlands Antilles",70 "value": "AN"71 },72 {73 "label": "Angola",74 "value": "AO"75 },76 {77 "label": "Argentina",78 "value": "AR"79 },80 {81 "label": "Austria",82 "value": "AT"83 },84 {85 "label": "Australia",86 "value": "AU"87 },88 {89 "label": "Aruba",90 "value": "AW"91 },92 {93 "label": "Azerbaijan",94 "value": "AZ"95 },96 {97 "label": "Bosnia and Herzegovina",98 "value": "BA"99 },100 {101 "label": "Bangladesh",102 "value": "BD"103 },104 {105 "label": "Belgium",106 "value": "BE"107 },108 {109 "label": "Bulgaria",110 "value": "BG"111 },112 {113 "label": "Bahrain",114 "value": "BH"115 },116 {117 "label": "Bolivia (Plurinational State of)",118 "value": "BO"119 },120 {121 "label": "Brazil",122 "value": "BR"123 },124 {125 "label": "Belize",126 "value": "BZ"127 },128 {129 "label": "Canada",130 "value": "CA"131 },132 {133 "label": "Switzerland",134 "value": "CH"135 },136 {137 "label": "Chile",138 "value": "CL"139 },140 {141 "label": "China",142 "value": "CN"143 },144 {145 "label": "Colombia",146 "value": "CO"147 },148 {149 "label": "Costa Rica",150 "value": "CR"151 },152 {153 "label": "Curaçao",154 "value": "CW"155 },156 {157 "label": "Cyprus",158 "value": "CY"159 },160 {161 "label": "Czech Republic",162 "value": "CZ"163 },164 {165 "label": "Germany",166 "value": "DE"167 },168 {169 "label": "Denmark",170 "value": "DK"171 },172 {173 "label": "Dominica",174 "value": "DM"175 },176 {177 "label": "Dominican Republic",178 "value": "DO"179 },180 {181 "label": "Algeria",182 "value": "DZ"183 },184 {185 "label": "Ecuador",186 "value": "EC"187 },188 {189 "label": "Estonia",190 "value": "EE"191 },192 {193 "label": "Egypt",194 "value": "EG"195 },196 {197 "label": "Spain",198 "value": "ES"199 },200 {201 "label": "Finland",202 "value": "FI"203 },204 {205 "label": "Fiji",206 "value": "FJ"207 },208 {209 "label": "France",210 "value": "FR"211 },212 {213 "label": "United Kingdom",214 "value": "GB"215 },216 {217 "label": "Grenada",218 "value": "GD"219 },220 {221 "label": "Georgia",222 "value": "GE"223 },224 {225 "label": "Guernsey",226 "value": "GG"227 },228 {229 "label": "Gibraltar",230 "value": "GI"231 },232 {233 "label": "Equatorial Guinea",234 "value": "GQ"235 },236 {237 "label": "Greece",238 "value": "GR"239 },240 {241 "label": "Guatemala",242 "value": "GT"243 },244 {245 "label": "Guyana",246 "value": "GY"247 },248 {249 "label": "Hong Kong (China)",250 "value": "HK"251 },252 {253 "label": "Honduras",254 "value": "HN"255 },256 {257 "label": "Croatia",258 "value": "HR"259 },260 {261 "label": "Hungary",262 "value": "HU"263 },264 {265 "label": "Indonesia",266 "value": "ID"267 },268 {269 "label": "Ireland",270 "value": "IE"271 },272 {273 "label": "Israel",274 "value": "IL"275 },276 {277 "label": "Isle of Man",278 "value": "IM"279 },280 {281 "label": "India",282 "value": "IN"283 },284 {285 "label": "Iceland",286 "value": "IS"287 },288 {289 "label": "Italy",290 "value": "IT"291 },292 {293 "label": "Jersey",294 "value": "JE"295 },296 {297 "label": "Jamaica",298 "value": "JM"299 },300 {301 "label": "Jordan",302 "value": "JO"303 },304 {305 "label": "Japan",306 "value": "JP"307 },308 {309 "label": "Kenya",310 "value": "KE"311 },312 {313 "label": "Kyrgyzstan",314 "value": "KG"315 },316 {317 "label": "Cambodia",318 "value": "KH"319 },320 {321 "label": "Korea, Republic of",322 "value": "KR"323 },324 {325 "label": "Kuwait",326 "value": "KW"327 },328 {329 "label": "Kazakhstan",330 "value": "KZ"331 },332 {333 "label": "Liechtenstein",334 "value": "LI"335 },336 {337 "label": "Sri Lanka",338 "value": "LK"339 },340 {341 "label": "Lithuania",342 "value": "LT"343 },344 {345 "label": "Luxembourg",346 "value": "LU"347 },348 {349 "label": "Latvia",350 "value": "LV"351 },352 {353 "label": "Morocco",354 "value": "MA"355 },356 {357 "label": "Monaco",358 "value": "MC"359 },360 {361 "label": "Moldova",362 "value": "MD"363 },364 {365 "label": "Montenegro",366 "value": "ME"367 },368 {369 "label": "Macedonia, the former Yugoslav Republic of",370 "value": "MK"371 },372 {373 "label": "Macao (China)",374 "value": "MO"375 },376 {377 "label": "Martinique",378 "value": "MQ"379 },380 {381 "label": "Malta",382 "value": "MT"383 },384 {385 "label": "Mauritius",386 "value": "MU"387 },388 {389 "label": "Maldives",390 "value": "MV"391 },392 {393 "label": "Mexico",394 "value": "MX"395 },396 {397 "label": "Malaysia",398 "value": "MY"399 },400 {401 "label": "Namibia",402 "value": "NA"403 },404 {405 "label": "Nigeria",406 "value": "NG"407 },408 {409 "label": "Netherlands",410 "value": "NL"411 },412 {413 "label": "Norway",414 "value": "NO"415 },416 {417 "label": "Nepal",418 "value": "NP"419 },420 {421 "label": "New Zealand",422 "value": "NZ"423 },424 {425 "label": "Oman",426 "value": "OM"427 },428 {429 "label": "Panama",430 "value": "PA"431 },432 {433 "label": "Peru",434 "value": "PE"435 },436 {437 "label": "French Polynesia",438 "value": "PF"439 },440 {441 "label": "Philippines",442 "value": "PH"443 },444 {445 "label": "Pakistan",446 "value": "PK"447 },448 {449 "label": "Poland",450 "value": "PL"451 },452 {453 "label": "Saint Pierre and Miquelon",454 "value": "PM"455 },456 {457 "label": "Puerto Rico",458 "value": "PR"459 },460 {461 "label": "Portugal",462 "value": "PT"463 },464 {465 "label": "Paraguay",466 "value": "PY"467 },468 {469 "label": "Qatar",470 "value": "QA"471 },472 {473 "label": "Romania",474 "value": "RO"475 },476 {477 "label": "Serbia",478 "value": "RS"479 },480 {481 "label": "Russian Federation",482 "value": "RU"483 },484 {485 "label": "Saudi Arabia",486 "value": "SA"487 },488 {489 "label": "Seychelles",490 "value": "SC"491 },492 {493 "label": "Sweden",494 "value": "SE"495 },496 {497 "label": "Singapore",498 "value": "SG"499 },500 {501 "label": "Slovenia",502 "value": "SI"503 },504 {505 "label": "Slovakia",506 "value": "SK"507 },508 {509 "label": "San Marino",510 "value": "SM"511 },512 {513 "label": "El Salvador",514 "value": "SV"515 },516 {517 "label": "Thailand",518 "value": "TH"519 },520 {521 "label": "Tajikistan",522 "value": "TJ"523 },524 {525 "label": "Tunisia",526 "value": "TN"527 },528 {529 "label": "Turkey",530 "value": "TR"531 },532 {533 "label": "Taiwan (China)",534 "value": "TW"535 },536 {537 "label": "Tanzania, United Republic of",538 "value": "TZ"539 },540 {541 "label": "Ukraine",542 "value": "UA"543 },544 {545 "label": "Uganda",546 "value": "UG"547 },548 {549 "label": "United States of America",550 "value": "US"551 },552 {553 "label": "Uruguay",554 "value": "UY"555 },556 {557 "label": "Uzbekistan",558 "value": "UZ"559 },560 {561 "label": "Viet Nam",562 "value": "VN"563 },564 {565 "label": "Vanuatu",566 "value": "VU"567 },568 {569 "label": "Mayotte",570 "value": "YT"571 },572 {573 "label": "South Africa",574 "value": "ZA"575 },576 {577 "label": "Zambia",578 "value": "ZM"579 }580 ],581 "default": "US",582 "description": "The recipient's bank location",583 "label": "Bank location",584 "placeholder": "",585 "refresh": true,586 "tip": "",587 "type": "SELECT"588 },589 "path": "beneficiary.bank_details.bank_country_code",590 "required": true,591 "rule": {592 "type": "string",593 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AR|AT|AU|AW|AZ|BA|BD|BE|BG|BH|BO|BR|BZ|CA|CH|CL|CN|CO|CR|CW|CY|CZ|DE|DK|DM|DO|DZ|EC|EE|EG|ES|FI|FJ|FR|GB|GD|GE|GG|GI|GQ|GR|GT|GY|HK|HN|HR|HU|ID|IE|IL|IM|IN|IS|IT|JE|JM|JO|JP|KE|KG|KH|KR|KW|KZ|LI|LK|LT|LU|LV|MA|MC|MD|ME|MK|MO|MQ|MT|MU|MV|MX|MY|NA|NG|NL|NO|NP|NZ|OM|PA|PE|PF|PH|PK|PL|PM|PR|PT|PY|QA|RO|RS|RU|SA|SC|SE|SG|SI|SK|SM|SV|TH|TJ|TN|TR|TW|TZ|UA|UG|US|UY|UZ|VN|VU|YT|ZA|ZM"594 }595 },596 {597 "enabled": true,598 "field": {599 "key": "account_currency",600 "options": [601 {602 "label": "AUD - Australian Dollar",603 "value": "AUD"604 },605 {606 "label": "BDT - Bangladeshi Taka",607 "value": "BDT"608 },609 {610 "label": "CAD - Canadian Dollar",611 "value": "CAD"612 },613 {614 "label": "CHF - Swiss Franc",615 "value": "CHF"616 },617 {618 "label": "CNY - Chinese Yuan",619 "value": "CNY"620 },621 {622 "label": "EUR - Euro",623 "value": "EUR"624 },625 {626 "label": "GBP - Great Britain Pound",627 "value": "GBP"628 },629 {630 "label": "HKD - Hong Kong Dollar",631 "value": "HKD"632 },633 {634 "label": "IDR - Indonesian Rupiah",635 "value": "IDR"636 },637 {638 "label": "INR - Indian Rupee",639 "value": "INR"640 },641 {642 "label": "JPY - Japanese Yen",643 "value": "JPY"644 },645 {646 "label": "KRW - Korean Won",647 "value": "KRW"648 },649 {650 "label": "LKR - Sri Lankan Rupee",651 "value": "LKR"652 },653 {654 "label": "MYR - Malaysian Ringgit",655 "value": "MYR"656 },657 {658 "label": "NPR - Nepalese Rupee",659 "value": "NPR"660 },661 {662 "label": "NZD - New Zealand Dollar",663 "value": "NZD"664 },665 {666 "label": "PHP - Philippine Peso",667 "value": "PHP"668 },669 {670 "label": "PKR - Pakistani Rupee",671 "value": "PKR"672 },673 {674 "label": "SGD - Singapore Dollar",675 "value": "SGD"676 },677 {678 "label": "THB - Thai Baht",679 "value": "THB"680 },681 {682 "label": "TRY - Turkish Lira",683 "value": "TRY"684 },685 {686 "label": "USD - United States Dollar",687 "value": "USD"688 },689 {690 "label": "VND - Vietnamese Dong",691 "value": "VND"692 }693 ],694 "default": "USD",695 "description": "The recipient’s bank account currency",696 "label": "Account currency",697 "placeholder": "",698 "refresh": true,699 "tip": "",700 "type": "SELECT"701 },702 "path": "beneficiary.bank_details.account_currency",703 "required": true,704 "rule": {705 "type": "string",706 "pattern": "AUD|BDT|CAD|CHF|CNY|EUR|GBP|HKD|IDR|INR|JPY|KRW|LKR|MYR|NPR|NZD|PHP|PKR|SGD|THB|TRY|USD|VND"707 }708 },709 {710 "enabled": true,711 "field": {712 "key": "payment_method",713 "options": [714 {715 "description": "Domestic bank transfer in the destination country, which needs:\n• Account routing number (or SWIFT code)\n• Account number",716 "label": "LOCAL",717 "payment_limit": "No limit",718 "processing_time": "1-2 business days",719 "value": "LOCAL"720 },721 {722 "description": "International bank transfer, which needs:\n• SWIFT code\n• Account number",723 "label": "SWIFT",724 "payment_limit": "No limit",725 "processing_time": "0-3 business days",726 "value": "SWIFT"727 }728 ],729 "default": "LOCAL",730 "description": "",731 "label": "Payment methods",732 "placeholder": "",733 "refresh": true,734 "tip": "",735 "type": "PAYMENT_METHOD"736 },737 "path": "payment_method",738 "required": true,739 "rule": {740 "type": "string",741 "pattern": "LOCAL|SWIFT"742 }743 },744 {745 "enabled": true,746 "field": {747 "key": "local_clearing_system",748 "options": [749 {750 "description": "Local bank transfer with maximum transfer limit, which needs:\n• ACH routing number\n• Account number",751 "label": "ACH",752 "payment_limit": "Up to 75,000 USD",753 "processing_time": "1-2 business days",754 "value": "ACH"755 },756 {757 "description": "Real-time bank transfer, which needs:\n• Fedwire ABA routing number\n• Account number",758 "label": "Fedwire",759 "payment_limit": "No limit",760 "processing_time": "0-1 business days",761 "value": "FEDWIRE"762 }763 ],764 "default": "ACH",765 "description": "",766 "label": "Payment methods",767 "placeholder": "",768 "refresh": true,769 "tip": "",770 "type": "PAYMENT_METHOD"771 },772 "path": "beneficiary.bank_details.local_clearing_system",773 "required": false,774 "rule": {775 "type": "string",776 "pattern": "ACH|FEDWIRE"777 }778 },779 {780 "enabled": true,781 "field": {782 "key": "first_name",783 "default": "",784 "description": "",785 "label": "First name",786 "placeholder": "",787 "refresh": false,788 "tip": "",789 "type": "INPUT"790 },791 "path": "beneficiary.first_name",792 "required": true,793 "rule": {794 "type": "string",795 "pattern": "^.{1,50}$"796 }797 },798 {799 "enabled": true,800 "field": {801 "key": "last_name",802 "default": "",803 "description": "",804 "label": "Last name",805 "placeholder": "",806 "refresh": false,807 "tip": "",808 "type": "INPUT"809 },810 "path": "beneficiary.last_name",811 "required": true,812 "rule": {813 "type": "string",814 "pattern": "^.{1,50}$"815 }816 },817 {818 "enabled": true,819 "field": {820 "key": "date_of_birth",821 "default": "",822 "description": "",823 "label": "Beneficiary date of birth",824 "placeholder": "",825 "refresh": false,826 "tip": "",827 "type": "INPUT"828 },829 "path": "beneficiary.date_of_birth",830 "required": false,831 "rule": {832 "type": "string",833 "pattern": "^[0-9]{4}-[0-9]{2}-[0-9]{2}$"834 }835 },836 {837 "enabled": false,838 "field": {839 "key": "account_routing_type1",840 "default": "aba",841 "description": "",842 "label": "Routing code type",843 "placeholder": "",844 "refresh": false,845 "tip": "",846 "type": "INPUT"847 },848 "path": "beneficiary.bank_details.account_routing_type1",849 "required": true,850 "rule": {851 "pattern": "^aba$",852 "type": "string"853 }854 },855 {856 "enabled": true,857 "field": {858 "key": "account_routing_value1",859 "default": "",860 "description": "Routing code value",861 "label": "Aba",862 "placeholder": "",863 "refresh": false,864 "tip": "",865 "type": "INPUT"866 },867 "path": "beneficiary.bank_details.account_routing_value1",868 "required": true,869 "rule": {870 "pattern": "^[0-9]{9}$",871 "type": "string"872 }873 },874 {875 "enabled": true,876 "field": {877 "key": "bank_name",878 "default": "",879 "description": "",880 "label": "Bank name",881 "placeholder": "",882 "refresh": false,883 "tip": "",884 "type": "INPUT"885 },886 "path": "beneficiary.bank_details.bank_name",887 "required": true,888 "rule": {889 "type": "string",890 "pattern": "^.{1,200}$"891 }892 },893 {894 "enabled": true,895 "field": {896 "key": "account_number",897 "default": "",898 "description": "",899 "label": "Account number",900 "placeholder": "",901 "refresh": false,902 "tip": "",903 "type": "INPUT"904 },905 "path": "beneficiary.bank_details.account_number",906 "required": true,907 "rule": {908 "pattern": "^[0-9]{1,17}$",909 "type": "string"910 }911 },912 {913 "enabled": true,914 "field": {915 "key": "account_name",916 "default": "",917 "description": "Account name of the beneficiary",918 "label": "Account name",919 "placeholder": "",920 "refresh": false,921 "tip": "",922 "type": "INPUT"923 },924 "path": "beneficiary.bank_details.account_name",925 "required": true,926 "rule": {927 "type": "string",928 "pattern": "^.{2,100}$"929 }930 },931 {932 "enabled": true,933 "field": {934 "key": "country_code",935 "options": [936 {937 "label": "Andorra",938 "value": "AD"939 },940 {941 "label": "United Arab Emirates",942 "value": "AE"943 },944 {945 "label": "Antigua and Barbuda",946 "value": "AG"947 },948 {949 "label": "Anguilla",950 "value": "AI"951 },952 {953 "label": "Albania",954 "value": "AL"955 },956 {957 "label": "Armenia",958 "value": "AM"959 },960 {961 "label": "Netherlands Antilles",962 "value": "AN"963 },964 {965 "label": "Angola",966 "value": "AO"967 },968 {969 "label": "Antarctica",970 "value": "AQ"971 },972 {973 "label": "Argentina",974 "value": "AR"975 },976 {977 "label": "American Samoa",978 "value": "AS"979 },980 {981 "label": "Austria",982 "value": "AT"983 },984 {985 "label": "Australia",986 "value": "AU"987 },988 {989 "label": "Aruba",990 "value": "AW"991 },992 {993 "label": "Åland Islands",994 "value": "AX"995 },996 {997 "label": "Azerbaijan",998 "value": "AZ"999 },1000 {1001 "label": "Bosnia and Herzegovina",1002 "value": "BA"1003 },1004 {1005 "label": "Barbados",1006 "value": "BB"1007 },1008 {1009 "label": "Bangladesh",1010 "value": "BD"1011 },1012 {1013 "label": "Belgium",1014 "value": "BE"1015 },1016 {1017 "label": "Burkina Faso",1018 "value": "BF"1019 },1020 {1021 "label": "Bulgaria",1022 "value": "BG"1023 },1024 {1025 "label": "Bahrain",1026 "value": "BH"1027 },1028 {1029 "label": "Benin",1030 "value": "BJ"1031 },1032 {1033 "label": "Saint Barthélemy",1034 "value": "BL"1035 },1036 {1037 "label": "Bermuda",1038 "value": "BM"1039 },1040 {1041 "label": "Brunei Darussalam",1042 "value": "BN"1043 },1044 {1045 "label": "Bolivia (Plurinational State of)",1046 "value": "BO"1047 },1048 {1049 "label": "Bonaire, Sint Eustatius and Saba",1050 "value": "BQ"1051 },1052 {1053 "label": "Brazil",1054 "value": "BR"1055 },1056 {1057 "label": "Bahamas",1058 "value": "BS"1059 },1060 {1061 "label": "Bhutan",1062 "value": "BT"1063 },1064 {1065 "label": "Bouvet Island",1066 "value": "BV"1067 },1068 {1069 "label": "Botswana",1070 "value": "BW"1071 },1072 {1073 "label": "Belize",1074 "value": "BZ"1075 },1076 {1077 "label": "Canada",1078 "value": "CA"1079 },1080 {1081 "label": "Cocos (Keeling) Islands",1082 "value": "CC"1083 },1084 {1085 "label": "Switzerland",1086 "value": "CH"1087 },1088 {1089 "label": "Côte d'Ivoire",1090 "value": "CI"1091 },1092 {1093 "label": "Cook Islands",1094 "value": "CK"1095 },1096 {1097 "label": "Chile",1098 "value": "CL"1099 },1100 {1101 "label": "Cameroon",1102 "value": "CM"1103 },1104 {1105 "label": "China",1106 "value": "CN"1107 },1108 {1109 "label": "Colombia",1110 "value": "CO"1111 },1112 {1113 "label": "Costa Rica",1114 "value": "CR"1115 },1116 {1117 "label": "Cabo Verde",1118 "value": "CV"1119 },1120 {1121 "label": "Curaçao",1122 "value": "CW"1123 },1124 {1125 "label": "Christmas Island",1126 "value": "CX"1127 },1128 {1129 "label": "Cyprus",1130 "value": "CY"1131 },1132 {1133 "label": "Czech Republic",1134 "value": "CZ"1135 },1136 {1137 "label": "Germany",1138 "value": "DE"1139 },1140 {1141 "label": "Djibouti",1142 "value": "DJ"1143 },1144 {1145 "label": "Denmark",1146 "value": "DK"1147 },1148 {1149 "label": "Dominica",1150 "value": "DM"1151 },1152 {1153 "label": "Dominican Republic",1154 "value": "DO"1155 },1156 {1157 "label": "Algeria",1158 "value": "DZ"1159 },1160 {1161 "label": "Ecuador",1162 "value": "EC"1163 },1164 {1165 "label": "Estonia",1166 "value": "EE"1167 },1168 {1169 "label": "Egypt",1170 "value": "EG"1171 },1172 {1173 "label": "Western Sahara",1174 "value": "EH"1175 },1176 {1177 "label": "Spain",1178 "value": "ES"1179 },1180 {1181 "label": "Ethiopia",1182 "value": "ET"1183 },1184 {1185 "label": "Finland",1186 "value": "FI"1187 },1188 {1189 "label": "Fiji",1190 "value": "FJ"1191 },1192 {1193 "label": "Falkland Islands (Malvinas)",1194 "value": "FK"1195 },1196 {1197 "label": "Micronesia",1198 "value": "FM"1199 },1200 {1201 "label": "Faroe Islands",1202 "value": "FO"1203 },1204 {1205 "label": "France",1206 "value": "FR"1207 },1208 {1209 "label": "Gabon",1210 "value": "GA"1211 },1212 {1213 "label": "United Kingdom",1214 "value": "GB"1215 },1216 {1217 "label": "Grenada",1218 "value": "GD"1219 },1220 {1221 "label": "Georgia",1222 "value": "GE"1223 },1224 {1225 "label": "French Guiana",1226 "value": "GF"1227 },1228 {1229 "label": "Guernsey",1230 "value": "GG"1231 },1232 {1233 "label": "Ghana",1234 "value": "GH"1235 },1236 {1237 "label": "Gibraltar",1238 "value": "GI"1239 },1240 {1241 "label": "Greenland",1242 "value": "GL"1243 },1244 {1245 "label": "Gambia",1246 "value": "GM"1247 },1248 {1249 "label": "Guinea",1250 "value": "GN"1251 },1252 {1253 "label": "Guadeloupe",1254 "value": "GP"1255 },1256 {1257 "label": "Equatorial Guinea",1258 "value": "GQ"1259 },1260 {1261 "label": "Greece",1262 "value": "GR"1263 },1264 {1265 "label": "South Georgia and the South Sandwich Islands",1266 "value": "GS"1267 },1268 {1269 "label": "Guatemala",1270 "value": "GT"1271 },1272 {1273 "label": "Guam",1274 "value": "GU"1275 },1276 {1277 "label": "Guyana",1278 "value": "GY"1279 },1280 {1281 "label": "Hong Kong (China)",1282 "value": "HK"1283 },1284 {1285 "label": "Heard Island and McDonald Islands",1286 "value": "HM"1287 },1288 {1289 "label": "Honduras",1290 "value": "HN"1291 },1292 {1293 "label": "Croatia",1294 "value": "HR"1295 },1296 {1297 "label": "Haiti",1298 "value": "HT"1299 },1300 {1301 "label": "Hungary",1302 "value": "HU"1303 },1304 {1305 "label": "Indonesia",1306 "value": "ID"1307 },1308 {1309 "label": "Ireland",1310 "value": "IE"1311 },1312 {1313 "label": "Israel",1314 "value": "IL"1315 },1316 {1317 "label": "Isle of Man",1318 "value": "IM"1319 },1320 {1321 "label": "India",1322 "value": "IN"1323 },1324 {1325 "label": "British Indian Ocean Territory",1326 "value": "IO"1327 },1328 {1329 "label": "Iceland",1330 "value": "IS"1331 },1332 {1333 "label": "Italy",1334 "value": "IT"1335 },1336 {1337 "label": "Jersey",1338 "value": "JE"1339 },1340 {1341 "label": "Jamaica",1342 "value": "JM"1343 },1344 {1345 "label": "Jordan",1346 "value": "JO"1347 },1348 {1349 "label": "Japan",1350 "value": "JP"1351 },1352 {1353 "label": "Kenya",1354 "value": "KE"1355 },1356 {1357 "label": "Kyrgyzstan",1358 "value": "KG"1359 },1360 {1361 "label": "Cambodia",1362 "value": "KH"1363 },1364 {1365 "label": "Kiribati",1366 "value": "KI"1367 },1368 {1369 "label": "Comoros",1370 "value": "KM"1371 },1372 {1373 "label": "Saint Kitts and Nevis",1374 "value": "KN"1375 },1376 {1377 "label": "Korea, Republic of",1378 "value": "KR"1379 },1380 {1381 "label": "Kuwait",1382 "value": "KW"1383 },1384 {1385 "label": "Cayman Islands",1386 "value": "KY"1387 },1388 {1389 "label": "Kazakhstan",1390 "value": "KZ"1391 },1392 {1393 "label": "Lao People's Democratic Republic",1394 "value": "LA"1395 },1396 {1397 "label": "Lebanon",1398 "value": "LB"1399 },1400 {1401 "label": "Saint Lucia",1402 "value": "LC"1403 },1404 {1405 "label": "Liechtenstein",1406 "value": "LI"1407 },1408 {1409 "label": "Sri Lanka",1410 "value": "LK"1411 },1412 {1413 "label": "Lesotho",1414 "value": "LS"1415 },1416 {1417 "label": "Lithuania",1418 "value": "LT"1419 },1420 {1421 "label": "Luxembourg",1422 "value": "LU"1423 },1424 {1425 "label": "Latvia",1426 "value": "LV"1427 },1428 {1429 "label": "Morocco",1430 "value": "MA"1431 },1432 {1433 "label": "Monaco",1434 "value": "MC"1435 },1436 {1437 "label": "Moldova",1438 "value": "MD"1439 },1440 {1441 "label": "Montenegro",1442 "value": "ME"1443 },1444 {1445 "label": "Saint Martin (French part)",1446 "value": "MF"1447 },1448 {1449 "label": "Madagascar",1450 "value": "MG"1451 },1452 {1453 "label": "Marshall Islands",1454 "value": "MH"1455 },1456 {1457 "label": "Macedonia, the former Yugoslav Republic of",1458 "value": "MK"1459 },1460 {1461 "label": "Mongolia",1462 "value": "MN"1463 },1464 {1465 "label": "Macao (China)",1466 "value": "MO"1467 },1468 {1469 "label": "Northern Mariana Islands",1470 "value": "MP"1471 },1472 {1473 "label": "Martinique",1474 "value": "MQ"1475 },1476 {1477 "label": "Mauritania",1478 "value": "MR"1479 },1480 {1481 "label": "Montserrat",1482 "value": "MS"1483 },1484 {1485 "label": "Malta",1486 "value": "MT"1487 },1488 {1489 "label": "Mauritius",1490 "value": "MU"1491 },1492 {1493 "label": "Maldives",1494 "value": "MV"1495 },1496 {1497 "label": "Malawi",1498 "value": "MW"1499 },1500 {1501 "label": "Mexico",1502 "value": "MX"1503 },1504 {1505 "label": "Malaysia",1506 "value": "MY"1507 },1508 {1509 "label": "Mozambique",1510 "value": "MZ"1511 },1512 {1513 "label": "Namibia",1514 "value": "NA"1515 },1516 {1517 "label": "New Caledonia",1518 "value": "NC"1519 },1520 {1521 "label": "Niger",1522 "value": "NE"1523 },1524 {1525 "label": "Norfolk Island",1526 "value": "NF"1527 },1528 {1529 "label": "Nigeria",1530 "value": "NG"1531 },1532 {1533 "label": "Nicaragua",1534 "value": "NI"1535 },1536 {1537 "label": "Netherlands",1538 "value": "NL"1539 },1540 {1541 "label": "Norway",1542 "value": "NO"1543 },1544 {1545 "label": "Nepal",1546 "value": "NP"1547 },1548 {1549 "label": "Nauru",1550 "value": "NR"1551 },1552 {1553 "label": "Niue",1554 "value": "NU"1555 },1556 {1557 "label": "New Zealand",1558 "value": "NZ"1559 },1560 {1561 "label": "Oman",1562 "value": "OM"1563 },1564 {1565 "label": "Panama",1566 "value": "PA"1567 },1568 {1569 "label": "Peru",1570 "value": "PE"1571 },1572 {1573 "label": "French Polynesia",1574 "value": "PF"1575 },1576 {1577 "label": "Papua New Guinea",1578 "value": "PG"1579 },1580 {1581 "label": "Philippines",1582 "value": "PH"1583 },1584 {1585 "label": "Pakistan",1586 "value": "PK"1587 },1588 {1589 "label": "Poland",1590 "value": "PL"1591 },1592 {1593 "label": "Saint Pierre and Miquelon",1594 "value": "PM"1595 },1596 {1597 "label": "Pitcairn",1598 "value": "PN"1599 },1600 {1601 "label": "Puerto Rico",1602 "value": "PR"1603 },1604 {1605 "label": "Palestine, State of",1606 "value": "PS"1607 },1608 {1609 "label": "Portugal",1610 "value": "PT"1611 },1612 {1613 "label": "Palau",1614 "value": "PW"1615 },1616 {1617 "label": "Paraguay",1618 "value": "PY"1619 },1620 {1621 "label": "Qatar",1622 "value": "QA"1623 },1624 {1625 "label": "Réunion",1626 "value": "RE"1627 },1628 {1629 "label": "Romania",1630 "value": "RO"1631 },1632 {1633 "label": "Serbia",1634 "value": "RS"1635 },1636 {1637 "label": "Russian Federation",1638 "value": "RU"1639 },1640 {1641 "label": "Saudi Arabia",1642 "value": "SA"1643 },1644 {1645 "label": "Solomon Islands",1646 "value": "SB"1647 },1648 {1649 "label": "Seychelles",1650 "value": "SC"1651 },1652 {1653 "label": "Sweden",1654 "value": "SE"1655 },1656 {1657 "label": "Singapore",1658 "value": "SG"1659 },1660 {1661 "label": "Saint Helena, Ascension and Tristan da Cunha",1662 "value": "SH"1663 },1664 {1665 "label": "Slovenia",1666 "value": "SI"1667 },1668 {1669 "label": "Svalbard and Jan Mayen",1670 "value": "SJ"1671 },1672 {1673 "label": "Slovakia",1674 "value": "SK"1675 },1676 {1677 "label": "San Marino",1678 "value": "SM"1679 },1680 {1681 "label": "Senegal",1682 "value": "SN"1683 },1684 {1685 "label": "Suriname",1686 "value": "SR"1687 },1688 {1689 "label": "Sao Tome and Principe",1690 "value": "ST"1691 },1692 {1693 "label": "El Salvador",1694 "value": "SV"1695 },1696 {1697 "label": "Sint Maarten (Dutch part)",1698 "value": "SX"1699 },1700 {1701 "label": "Swaziland",1702 "value": "SZ"1703 },1704 {1705 "label": "Turks and Caicos Islands",1706 "value": "TC"1707 },1708 {1709 "label": "Chad",1710 "value": "TD"1711 },1712 {1713 "label": "French Southern Territories",1714 "value": "TF"1715 },1716 {1717 "label": "Togo",1718 "value": "TG"1719 },1720 {1721 "label": "Thailand",1722 "value": "TH"1723 },1724 {1725 "label": "Tajikistan",1726 "value": "TJ"1727 },1728 {1729 "label": "Tokelau",1730 "value": "TK"1731 },1732 {1733 "label": "Timor-Leste",1734 "value": "TL"1735 },1736 {1737 "label": "Turkmenistan",1738 "value": "TM"1739 },1740 {1741 "label": "Tunisia",1742 "value": "TN"1743 },1744 {1745 "label": "Tonga",1746 "value": "TO"1747 },1748 {1749 "label": "Turkey",1750 "value": "TR"1751 },1752 {1753 "label": "Trinidad and Tobago",1754 "value": "TT"1755 },1756 {1757 "label": "Tuvalu",1758 "value": "TV"1759 },1760 {1761 "label": "Taiwan (China)",1762 "value": "TW"1763 },1764 {1765 "label": "Tanzania, United Republic of",1766 "value": "TZ"1767 },1768 {1769 "label": "Ukraine",1770 "value": "UA"1771 },1772 {1773 "label": "Uganda",1774 "value": "UG"1775 },1776 {1777 "label": "United States Minor Outlying Islands",1778 "value": "UM"1779 },1780 {1781 "label": "United States of America",1782 "value": "US"1783 },1784 {1785 "label": "Uruguay",1786 "value": "UY"1787 },1788 {1789 "label": "Uzbekistan",1790 "value": "UZ"1791 },1792 {1793 "label": "Holy See",1794 "value": "VA"1795 },1796 {1797 "label": "Saint Vincent and the Grenadines",1798 "value": "VC"1799 },1800 {1801 "label": "Virgin Islands (British)",1802 "value": "VG"1803 },1804 {1805 "label": "Virgin Islands (U.S.)",1806 "value": "VI"1807 },1808 {1809 "label": "Viet Nam",1810 "value": "VN"1811 },1812 {1813 "label": "Vanuatu",1814 "value": "VU"1815 },1816 {1817 "label": "Wallis and Futuna",1818 "value": "WF"1819 },1820 {1821 "label": "Samoa",1822 "value": "WS"1823 },1824 {1825 "label": "Mayotte",1826 "value": "YT"1827 },1828 {1829 "label": "South Africa",1830 "value": "ZA"1831 },1832 {1833 "label": "Zambia",1834 "value": "ZM"1835 }1836 ],1837 "default": "US",1838 "description": "",1839 "label": "Country or region",1840 "placeholder": "",1841 "refresh": true,1842 "tip": "",1843 "type": "SELECT"1844 },1845 "path": "beneficiary.address.country_code",1846 "required": true,1847 "rule": {1848 "type": "string",1849 "pattern": "AD|AE|AG|AI|AL|AM|AN|AO|AQ|AR|AS|AT|AU|AW|AX|AZ|BA|BB|BD|BE|BF|BG|BH|BJ|BL|BM|BN|BO|BQ|BR|BS|BT|BV|BW|BZ|CA|CC|CH|CI|CK|CL|CM|CN|CO|CR|CV|CW|CX|CY|CZ|DE|DJ|DK|DM|DO|DZ|EC|EE|EG|EH|ES|ET|FI|FJ|FK|FM|FO|FR|GA|GB|GD|GE|GF|GG|GH|GI|GL|GM|GN|GP|GQ|GR|GS|GT|GU|GY|HK|HM|HN|HR|HT|HU|ID|IE|IL|IM|IN|IO|IS|IT|JE|JM|JO|JP|KE|KG|KH|KI|KM|KN|KR|KW|KY|KZ|LA|LB|LC|LI|LK|LS|LT|LU|LV|MA|MC|MD|ME|MF|MG|MH|MK|MN|MO|MP|MQ|MR|MS|MT|MU|MV|MW|MX|MY|MZ|NA|NC|NE|NF|NG|NI|NL|NO|NP|NR|NU|NZ|OM|PA|PE|PF|PG|PH|PK|PL|PM|PN|PR|PS|PT|PW|PY|QA|RE|RO|RS|RU|SA|SB|SC|SE|SG|SH|SI|SJ|SK|SM|SN|SR|ST|SV|SX|SZ|TC|TD|TF|TG|TH|TJ|TK|TL|TM|TN|TO|TR|TT|TV|TW|TZ|UA|UG|UM|US|UY|UZ|VA|VC|VG|VI|VN|VU|WF|WS|YT|ZA|ZM"1850 }1851 },1852 {1853 "enabled": true,1854 "field": {1855 "key": "postcode",1856 "default": "",1857 "description": "",1858 "label": "Postal code",1859 "placeholder": "",1860 "refresh": true,1861 "tip": "",1862 "type": "INPUT"1863 },1864 "path": "beneficiary.address.postcode",1865 "required": true,1866 "rule": {1867 "type": "string",1868 "pattern": "^.{1,50}$"1869 }1870 },1871 {1872 "enabled": true,1873 "field": {1874 "key": "street_address",1875 "default": "",1876 "description": "Recipient's Address (Should not be a PO or GPO box address)",1877 "label": "Address",1878 "placeholder": "",1879 "refresh": false,1880 "tip": "",1881 "type": "INPUT"1882 },1883 "path": "beneficiary.address.street_address",1884 "required": true,1885 "rule": {1886 "type": "string",1887 "pattern": "^.{1,200}$"1888 }1889 },1890 {1891 "enabled": true,1892 "field": {1893 "key": "city",1894 "default": "",1895 "description": "",1896 "label": "City",1897 "placeholder": "",1898 "refresh": false,1899 "tip": "",1900 "type": "INPUT"1901 },1902 "path": "beneficiary.address.city",1903 "required": true,1904 "rule": {1905 "type": "string",1906 "pattern": "^.{1,50}$"1907 }1908 },1909 {1910 "enabled": true,1911 "field": {1912 "key": "state",1913 "default": "",1914 "description": "",1915 "label": "State/Province",1916 "placeholder": "",1917 "refresh": false,1918 "tip": "",1919 "type": "INPUT"1920 },1921 "path": "beneficiary.address.state",1922 "required": true,1923 "rule": {1924 "type": "string",1925 "pattern": "^.{1,50}$"1926 }1927 },1928 {1929 "enabled": true,1930 "field": {1931 "key": "nickname",1932 "default": "",1933 "description": "For your reference only. Nicknames are only visible to you and will not be sent to the recipient.",1934 "label": "Nickname",1935 "placeholder": "",1936 "refresh": false,1937 "tip": "",1938 "type": "INPUT"1939 },1940 "path": "nickname",1941 "required": false1942 },1943 {1944 "enabled": true,1945 "field": {1946 "key": "personal_email",1947 "default": "",1948 "description": "",1949 "label": "Personal email",1950 "placeholder": "",1951 "refresh": false,1952 "tip": "",1953 "type": "INPUT"1954 },1955 "path": "beneficiary.additional_info.personal_email",1956 "required": false,1957 "rule": {1958 "type": "string",1959 "pattern": "^(\\S+@\\S+)$"1960 }1961 }1962 ],1963 "key": "newRecipient"1964}